package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.Switcher;

public interface SwitcherService {

    BocloudResult<GridBean<Switcher>> list(Pager pager, RequestContext requestContext);

    BocloudResult<Void> create(Switcher switcher, RequestContext requestContext);

    BocloudResult<Void> modify(Switcher switcher, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext requestContext);
}
